/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBScrolls.cs
Lines of code: 116
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBScrolls : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBScrolls()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( ScribesPen ), 4,  20, 0xFBF, 0 ) );
				Add( new GenericBuyInfo( typeof( BlankScroll ), 3, 20, 0x0E34, 0 ) );
				Add( new GenericBuyInfo( typeof( ScribesPen ), 4,  20, 0xFC0, 0 ) );
				Add( new GenericBuyInfo( typeof( BrownBook ), 8, 20, 0xFEF, 0 ) );
				Add( new GenericBuyInfo( typeof( TanBook ), 8, 20, 0xFF0, 0 ) );
				Add( new GenericBuyInfo( typeof( BlueBook ), 8, 20, 0xFF2, 0 ) );
				Add( new GenericBuyInfo( typeof( MapmakersPen ), 4, 20, 0x0FBF, 0 ) );
				
				Add( new GenericBuyInfo( typeof( ClumsyScroll ), 6, 20, 0x1F2E, 0 ) );
				Add( new GenericBuyInfo( typeof( CreateFoodScroll ), 6, 20, 0x1F2F, 0 ) );
				Add( new GenericBuyInfo( typeof( FeeblemindScroll ), 6, 20, 0x1F30, 0 ) );
				Add( new GenericBuyInfo( typeof( HealScroll ), 6, 20, 0x1F31, 0 ) );
				Add( new GenericBuyInfo( typeof( MagicArrowScroll ), 6, 20, 0x1F32, 0 ) );
				Add( new GenericBuyInfo( typeof( NightSightScroll ), 6, 20, 0x1F33, 0 ) );
				Add( new GenericBuyInfo( typeof( ReactiveArmorScroll ), 6, 20, 0x1F2D, 0 ) );
				Add( new GenericBuyInfo( typeof( WeakenScroll ), 6, 20, 0x1F34, 0 ) );
				
				Add( new GenericBuyInfo( typeof( AgilityScroll ), 11, 20, 0x1F35, 0 ) );
				Add( new GenericBuyInfo( typeof( CunningScroll ), 11, 20, 0x1F36, 0 ) );
				Add( new GenericBuyInfo( typeof( CureScroll ), 11, 20, 0x1F37, 0 ) );
				Add( new GenericBuyInfo( typeof( HarmScroll ), 11, 20, 0x1F38, 0 ) );
				Add( new GenericBuyInfo( typeof( MagicTrapScroll ), 11, 20, 0x1F39, 0 ) );
				Add( new GenericBuyInfo( typeof( MagicUnTrapScroll ), 11, 20, 0x1F3A, 0 ) );
				Add( new GenericBuyInfo( typeof( ProtectionScroll ), 11, 20, 0x1F3B, 0 ) );
				Add( new GenericBuyInfo( typeof( StrengthScroll ), 11, 20, 0x1F3C, 0 ) );
				
				Add( new GenericBuyInfo( typeof( BlessScroll ), 16, 20, 0x1F3D, 0 ) );
				Add( new GenericBuyInfo( typeof( FireballScroll ), 16, 20, 0x1F3E, 0 ) );
				Add( new GenericBuyInfo( typeof( MagicLockScroll ), 16, 20, 0x1F3F, 0 ) );
				Add( new GenericBuyInfo( typeof( PoisonScroll ), 16, 20, 0x1F40, 0 ) );
				Add( new GenericBuyInfo( typeof( TelekinisisScroll ), 16, 20, 0x1F41, 0 ) );
				Add( new GenericBuyInfo( typeof( TeleportScroll ), 16, 20, 0x1F42, 0 ) );
				Add( new GenericBuyInfo( typeof( UnlockScroll ), 16, 20, 0x1F43, 0 ) );
				Add( new GenericBuyInfo( typeof( WallOfStoneScroll ), 16, 20, 0x1F44, 0 ) );
				
				Add( new GenericBuyInfo( typeof( ArchCureScroll ), 21, 20, 0x1F45, 0 ) );
				Add( new GenericBuyInfo( typeof( ArchProtectionScroll ), 21, 20, 0x1F46, 0 ) );
				Add( new GenericBuyInfo( typeof( CurseScroll ), 21, 20, 0x1F47, 0 ) );
				Add( new GenericBuyInfo( typeof( FireFieldScroll ), 21, 20, 0x1F48, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterHealScroll ), 21, 20, 0x1F49, 0 ) );
				Add( new GenericBuyInfo( typeof( LightningScroll ), 21, 20, 0x1F4A, 0 ) );
				Add( new GenericBuyInfo( typeof( ManaDrainScroll ), 21, 20, 0x1F4B, 0 ) );
				Add( new GenericBuyInfo( typeof( RecallScroll ), 21, 20, 0x1F4C, 0 ) );
				
				Add( new GenericBuyInfo( typeof( BladeSpiritsScroll ), 26, 20, 0x1F4D, 0 ) );
				Add( new GenericBuyInfo( typeof( DispelFieldScroll ), 26, 20, 0x1F4E, 0 ) );
				Add( new GenericBuyInfo( typeof( IncognitoScroll ), 26, 20, 0x1F4F, 0 ) );
				Add( new GenericBuyInfo( typeof( MagicReflectScroll ), 26, 20, 0x1F50, 0 ) );
				Add( new GenericBuyInfo( typeof( MindBlastScroll ), 26, 20, 0x1F51, 0 ) );
				Add( new GenericBuyInfo( typeof( ParalyzeScroll ), 26, 20, 0x1F52, 0 ) );
				Add( new GenericBuyInfo( typeof( PoisonFieldScroll ), 26, 20, 0x1F53, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonCreatureScroll ), 26, 20, 0x1F54, 0 ) );
				
				Add( new GenericBuyInfo( typeof( DispelScroll ), 31, 20, 0x1F55, 0 ) );
				Add( new GenericBuyInfo( typeof( EnergyBoltScroll ), 31, 20, 0x1F56, 0 ) );
				Add( new GenericBuyInfo( typeof( ExplosionScroll ), 31, 20, 0x1F57, 0 ) );
				Add( new GenericBuyInfo( typeof( InvisibilityScroll ), 31, 20, 0x1F58, 0 ) );
				Add( new GenericBuyInfo( typeof( MarkScroll ), 31, 20, 0x1F59, 0 ) );
				Add( new GenericBuyInfo( typeof( MassCurseScroll ), 31, 20, 0x1F5A, 0 ) );
				Add( new GenericBuyInfo( typeof( ParalyzeFieldScroll ), 31, 20, 0x1F5B, 0 ) );
				Add( new GenericBuyInfo( typeof( RevealScroll ), 31, 20, 0x1F5C, 0 ) );
				
				Add( new GenericBuyInfo( typeof( ChainLightningScroll ), 36, 20, 0x1F5D, 0 ) );
				Add( new GenericBuyInfo( typeof( EnergyFieldScroll ), 36, 20, 0x1F5E, 0 ) );
				Add( new GenericBuyInfo( typeof( FlamestrikeScroll ), 36, 20, 0x1F5F, 0 ) );
				Add( new GenericBuyInfo( typeof( GateTravelScroll ), 36, 20, 0x1F60, 0 ) );
				Add( new GenericBuyInfo( typeof( ManaVampireScroll ), 36, 20, 0x1F61, 0 ) );
				Add( new GenericBuyInfo( typeof( MassDispelScroll ), 36, 20, 0x1F62, 0 ) );
				Add( new GenericBuyInfo( typeof( MeteorSwarmScroll ), 36, 20, 0x1F63, 0 ) );
				Add( new GenericBuyInfo( typeof( PolymorphScroll ), 36, 20, 0x1F64, 0 ) );
				
				Add( new GenericBuyInfo( typeof( EarthquakeScroll ), 41, 20, 0x1F65, 0 ) );
				Add( new GenericBuyInfo( typeof( EnergyVortexScroll ), 41, 20, 0x1F66, 0 ) );
				Add( new GenericBuyInfo( typeof( ResurrectionScroll ), 41, 20, 0x1F67, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonAirElementalScroll ), 41, 20, 0x1F68, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonDaemonScroll ), 41, 20, 0x1F69, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonEarthElementalScroll ), 41, 20, 0x1F6A, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonFireElementalScroll ), 41, 20, 0x1F6B, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonWaterElementalScroll ), 41, 20, 0x1F6C, 0 ) );
		
				if ( Core.AOS )
				{
				Add( new GenericBuyInfo( typeof( CurseWeaponScroll ), 16, 20, 0x2263, 0 ) );
				Add( new GenericBuyInfo( typeof( BloodOathScroll ), 21, 20, 0x2261, 0 ) );
				Add( new GenericBuyInfo( typeof( CorpseSkinScroll ), 21, 20, 0x2262, 0 ) );
				Add( new GenericBuyInfo( typeof( EvilOmenScroll ), 21, 20, 0x2264, 0 ) );
				Add( new GenericBuyInfo( typeof( PainSpikeScroll ), 21, 20, 0x2268, 0 ) );
				Add( new GenericBuyInfo( typeof( WraithFormScroll ), 21, 20, 0x226F, 0 ) );
				Add( new GenericBuyInfo( typeof( MindRotScroll ), 26, 20, 0x2267, 0 ) );
				Add( new GenericBuyInfo( typeof( SummonFamiliarScroll ), 26, 20, 0x226B, 0 ) );
				Add( new GenericBuyInfo( typeof( HorrificBeastScroll ), 31, 20, 0x2265, 0 ) );
				Add( new GenericBuyInfo( typeof( AnimateDeadScroll ), 31, 20, 0x2260, 0 ) );
				Add( new GenericBuyInfo( typeof( LichFormScroll ), 36, 20, 0x2266, 0 ) );
				Add( new GenericBuyInfo( typeof( PoisonStrikeScroll ), 36, 20, 0x2269, 0 ) );
				Add( new GenericBuyInfo( typeof( StrangleScroll ), 36, 20, 0x226A, 0 ) );
				Add( new GenericBuyInfo( typeof( WitherScroll ), 41, 20, 0x226E, 0 ) );
				Add( new GenericBuyInfo( typeof( VengefulSpiritScroll ), 46, 20, 0x226D, 0 ) );
				Add( new GenericBuyInfo( typeof( ExorcismScroll ), 46, 20, 0x2270, 0 ) );
				Add( new GenericBuyInfo( typeof( VampiricEmbraceScroll ), 51, 20, 0x226C, 0 ) );
				}
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
		}
	}
}